/*
 * RAV API
 * RAV API
 *
 * OpenAPI spec version: 1.0.0-oas3
 * Contact: name@mail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.experiment.sbi.rav.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
/**
 * MessagesDict
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-06T19:10:49.373Z[GMT]")
public class MessagesDict {
  @SerializedName("exampleExpId1")
  private String exampleExpId1 = null;

  public MessagesDict exampleExpId1(String exampleExpId1) {
    this.exampleExpId1 = exampleExpId1;
    return this;
  }

   /**
   * Get exampleExpId1
   * @return exampleExpId1
  **/
  public String getExampleExpId1() {
    return exampleExpId1;
  }

  public void setExampleExpId1(String exampleExpId1) {
    this.exampleExpId1 = exampleExpId1;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MessagesDict messagesDict = (MessagesDict) o;
    return Objects.equals(this.exampleExpId1, messagesDict.exampleExpId1);
  }

  @Override
  public int hashCode() {
    return Objects.hash(exampleExpId1);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MessagesDict {\n");
    
    sb.append("    exampleExpId1: ").append(toIndentedString(exampleExpId1)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
